package com.zcloud.service.depository.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno1.risk.RiskUnitMapper;
import com.zcloud.service.depository.RiskUnitService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class RiskUnitServiceImpl implements RiskUnitService {

    @Resource
    private RiskUnitMapper riskUnitMapper;

    @Override
    public List<PageData> getList(Page page) throws Exception {
        return riskUnitMapper.datalistPage(page);
    }

    @Override
    public List<PageData> getAllList(PageData condition) {
        return riskUnitMapper.findByCondition(condition);
    }
}
